> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/partner-api-reference/partner-v15/reference/clicks/click-export.md).

# Click Export

Asynchronously export click event data as CSV, JSON, or XML.

## Export Clicks

> Schedules a background job to asynchronously export clicks. Returns immediately with a \`QueuedUri\` pointing to the Partner Jobs API — poll that endpoint to track progress, then download the result from \`ResultUri\` once the job is complete.\
> \
> \*\*Migration note:\*\* If you're migrating from the \`Clicks\` endpoint to \`ClickExport\`, note that the result object uses \`ProgramId\` and \`ProgramName\` in place of the previous \`CampaignId\` and \`CampaignName\`.\
> \
> See the impact.com rate-limit documentation for this endpoint's request limits.<br>

```json
{"openapi":"3.1.0","info":{"title":"Partner Clicks API","version":"15"},"tags":[{"name":"ClickExport","description":"Asynchronously export click event data as CSV, JSON, or XML."}],"servers":[{"url":"https://api.impact.com"}],"paths":{"/Mediapartners/{AccountSID}/ClickExport":{"get":{"operationId":"exportClicks","tags":["ClickExport"],"summary":"Export Clicks","description":"Schedules a background job to asynchronously export clicks. Returns immediately with a `QueuedUri` pointing to the Partner Jobs API — poll that endpoint to track progress, then download the result from `ResultUri` once the job is complete.\n\n**Migration note:** If you're migrating from the `Clicks` endpoint to `ClickExport`, note that the result object uses `ProgramId` and `ProgramName` in place of the previous `CampaignId` and `CampaignName`.\n\nSee the impact.com rate-limit documentation for this endpoint's request limits.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the partner account."},{"name":"ProgramId","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"description":"Filter to clicks for a specific Program (formerly known as Campaign). Repeat the parameter to include multiple Programs."},{"name":"AdId","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"description":"Filter to clicks on a specific ad. Repeat the parameter to include multiple ads."},{"name":"Date","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Click date to export in `yyyy-MM-dd` format. Defaults to today if omitted."},{"name":"SubId","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"description":"Filter to clicks that include the specified Sub ID value. Repeat the parameter to include multiple Sub IDs."},{"name":"UniqueClick","in":"query","required":false,"schema":{"type":"string","enum":["TRUE","FALSE"]},"description":"Set to `TRUE` to return only clicks that meet the IAB standards for a unique click. See the IAB Click Measurement Guidelines for details."},{"name":"ResultFormat","in":"query","required":false,"schema":{"type":"string","enum":["CSV","JSON","XML"],"default":"CSV"},"description":"Format for the exported result file."}],"responses":{"200":{"description":"Job successfully queued.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Initial status of the queued export job."},"QueuedUri":{"type":"string","description":"API resource path for polling the job's status via the Partner Jobs API."},"ResultUri":{"type":"string","description":"API resource path to download the result file once the job has completed."},"ReplayUri":{"type":"string","description":"API resource path to replay the export job once it has completed, failed, or been cancelled."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/partner-api-reference/partner-v15/reference/clicks/click-export.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
